### Method

# SpiceClientGLib UsbDeviceManager create_shared_cd_device

#### Declaration [src]

    gboolean
    spice_usb_device_manager_create_shared_cd_device (
      SpiceUsbDeviceManager* manager,
      gchar* filename,
      GError** error
    )

#### Description [src]

Creates a new shared CD device based on a disk image file or a physical CD device.

#### Parameters

`filename`

  Type: `gchar*`

  Image or device path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if device created successfully.